VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::ScaleOutGroup Class Reference

The `ScaleOutGroup` class contains information about a scale-out group. More...

List of all members.

## Public Member Functions
| ScaleOutGroup ()
| Creates a default new instance.
string | GetId ()
| The identifier of the scale-out group.
void | SetId (string id)
| The identifier of the scale-out group.
string | GetDescription ()
| The description of the scale-out group.
void | SetDescription (string description)
| The description of the scale-out group.
long | GetInstanceCount ()
| The scaling factor to use.
void | SetInstanceCount (long?instanceCount)
| The scaling factor to use.
long | GetMinimumInstanceCount ()
| The minimum scaling factor.
void | SetMinimumInstanceCount (long?minimumInstanceCount)
| The minimum scaling factor.
long | GetMaximumInstanceCount ()
| The maximum scaling factor.
void | SetMaximumInstanceCount (long?maximumInstanceCount)
| The maximum scaling factor.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ScaleOutGroup` class contains information about a scale-out group.

It allows a virtual system collection to contain a set of children that are homogeneous with respect to a prototypical virtual system or virtual system collection. It shall cause the deployment function to replicate the prototype a number of times, thus allowing the number of instantiated virtual systems to be configured dynamically at deployment time.

This is based on the ovf2:ScaleOutSection.

See LibraryItem.Deploy and LibraryItem.Filter

## Constructor & Destructor Documentation

vmware::vcenter::ovf::ScaleOutGroup::ScaleOutGroup | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::ScaleOutGroup::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::ScaleOutGroup::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::ScaleOutGroup::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::ScaleOutGroup::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::ScaleOutGroup::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::ScaleOutGroup::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::ScaleOutGroup::GetDescription | ( |  | ) | `[inline]`

The description of the scale-out group.

override int vmware::vcenter::ovf::ScaleOutGroup::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::ScaleOutGroup::GetId | ( |  | ) | `[inline]`

The identifier of the scale-out group.

long vmware::vcenter::ovf::ScaleOutGroup::GetInstanceCount | ( |  | ) | `[inline]`

The scaling factor to use.

It defines the number of replicas of the prototypical virtual system or virtual system collection.

long vmware::vcenter::ovf::ScaleOutGroup::GetMaximumInstanceCount | ( |  | ) | `[inline]`

The maximum scaling factor.

long vmware::vcenter::ovf::ScaleOutGroup::GetMinimumInstanceCount | ( |  | ) | `[inline]`

The minimum scaling factor.

void vmware::vcenter::ovf::ScaleOutGroup::SetDescription | ( | string | description | ) | `[inline]`

The description of the scale-out group.

void vmware::vcenter::ovf::ScaleOutGroup::SetId | ( | string | id | ) | `[inline]`

The identifier of the scale-out group.

void vmware::vcenter::ovf::ScaleOutGroup::SetInstanceCount | ( | long? | instanceCount | ) | `[inline]`

The scaling factor to use.

It defines the number of replicas of the prototypical virtual system or virtual system collection.

void vmware::vcenter::ovf::ScaleOutGroup::SetMaximumInstanceCount | ( | long? | maximumInstanceCount | ) | `[inline]`

The maximum scaling factor.

void vmware::vcenter::ovf::ScaleOutGroup::SetMinimumInstanceCount | ( | long? | minimumInstanceCount | ) | `[inline]`

The minimum scaling factor.

override string vmware::vcenter::ovf::ScaleOutGroup::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ScaleOutGroup.cs